For the complete documentation index, see llms.txt. This page is also available as Markdown.

Prompt Categories

Query prompt categories.

get

Supports non-CRUD reads, such as finding an unused category colour for a prompt.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Query parameters
promptObjectIdentifierstring · uuidOptional
unusedColourbooleanOptionalDefault: false
Responses
200

OK

string · enumOptionalPossible values:
get/projects/{projectIdentifier}/prompt-categories

Create a prompt category.

post

Creates a new named, coloured prompt category within the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
projectIdentifierstringRequired
Body
namestring · nullableOptional
colourstring · enumOptionalPossible values:
promptObjectIdentifierstring · uuidOptional
resourceOwnerIdstring · nullableOptional
Responses
200

OK

namestring · nullableRequired
colourstring · enumRequiredPossible values:
post/projects/{projectIdentifier}/prompt-categories

Get a prompt category by id.

get

Returns the prompt category identified by its GUID within the specified project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200

OK

namestring · nullableRequired
colourstring · enumRequiredPossible values:
get/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}

Update a prompt category.

put

Updates the name and colour of an existing prompt category in the project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · nullableOptional
colourstring · enumOptionalPossible values:
Responses
200

OK

namestring · nullableRequired
colourstring · enumRequiredPossible values:
put/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}

Delete a prompt category.

delete

Permanently removes the specified prompt category from the project.

Authorizations
AuthorizationstringRequired

Bearer authentication with JWT

Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204

No Content

No content

delete/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}

No content

Last updated